Bug 472500 - java annotations in sample code causes problems for <programlisting>
java annotations in sample code causes problems for <programlisting>
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Content Services Development
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-21 02:12 EST by Darrin Mison
Modified: 2010-11-23 22:57 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.39
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-23 19:02:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Darrin Mison 2008-11-21 02:12:30 EST
Description of problem:
The syntax-highlighting seems to know what annotations in java source code are but doesn't know how to mark them up & leaves <xslthl> tags around them.

Version-Release number of selected component (if applicable):
0.38

How reproducible:
every time

Steps to Reproduce:
1 - specify language="java" for a programlisting containing annotations.  Doesn't matter if it is inline code or included via xi:include 

<programlisting language="java">@Publish(WebserviceContractPublisher.class)
public class SOAPProcessor extends AbstractActionPipelineProcessor 
{
  // ...
}</programlisting>

  
Actual results:
<xslthl:annotation>@Publish(WebserviceContractPublisher.class)</xslthl:annotation>
public class SOAPProcessor extends AbstractActionPipelineProcessor 
{
  // ...
}


Expected results:
@Publish(WebserviceContractPublisher.class)
public class SOAPProcessor extends AbstractActionPipelineProcessor 
{
  // ...
}


Additional info:
log output when building html
Element annotation in namespace 'http://xslthl.sf.net' encountered, but no template matches.

log output when building pdf
xslthl:annotation encountered, but no template matches.
Comment 1 Jeff Fearn 2008-11-23 19:02:28 EST
Added handling of xslthl:annotation to PDF and XHTML outputs.
Comment 2 Fedora Update System 2009-01-14 21:57:05 EST
publican-0.39-0.fc9, publican-fedora-0.16-0.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.